﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
using Fury.Core.Interface;
using System;
using System.Collections.Generic;

#nullable disable

namespace Entity.WriteModels
{
    public partial class PostWriteModels : IAggregateRoot
    {
        public PostWriteModels()
        {
            Category = new HashSet<CategoryWriteModels>();
        }

        public Guid Id { get; set; }
        public string Title { get; set; }
        public string Content { get; set; }
        public string Thumbnail { get; set; }
        public string AuthorEmail { get; set; }
        public Guid AuthorId { get; set; }
        public DateTime CreateAt { get; set; }
        public DateTime LastModifiedAt { get; set; }

        public virtual ICollection<CategoryWriteModels> Category { get; set; }
    }
}